Bug 1399666 (CVE-2016-9425)

Summary: CVE-2016-9425 w3m: Segmentation fault due to write to lineBuf[-1] in addMultirowsForm
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: dkholia, eng-i18n-bugs, i18n-bugs, pnemade
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-03-21 09:11:10 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1401423, 1401424    
Bug Blocks: 1399744    

Description Andrej Nemec 2016-11-29 14:34:46 UTC
An out of bounds invalid write will occur while parsing malicously crafted input, crashing the w3m application.

Upstream bug:

https://github.com/tats/w3m/issues/21

Upstream fix:

https://github.com/tats/w3m/commit/4e464819dd360ffd3d58fa2a89216fe413cfcc74

References:

http://seclists.org/oss-sec/2016/q4/321

Comment 1 Huzaifa S. Sidhpurwala 2016-12-05 08:51:31 UTC
Created w3m tracking bugs for this issue:

Affects: fedora-all [bug 1401423]
Affects: epel-7 [bug 1401424]